Subject: [NSIS] clarifications on schulzrinne-nsis-ntlp

From: "Geib, Ruediger" <[email-masked]>
Date: Fri, 27 Jun 2003 10:07:38 +0200

Henning,

I've read your draft and would like to provide a brief feedback:

I like the idea of using whatever transport is already there. I also appreciate that space and ideas on security issues are provided.

I don't understand how GIMPS works if a re-route occurs between querying node and an already discovered next-hop peer. If you've provided text I'd appreciate if you explain things more explicit.

The state table seems to include information on the previous hop and on "the existing transport and security assosiaction to the next-hop peer". That's mentioned several times in the text. It may be added in the paragraph "each node maintains a forwarding state table that includes...". It's clear to me that several individual state table entries may refer to the same previous/next peer entries.

Two editorials:

Section 2 mentions a "GTSP".
Section 6 doesn't contain a "message SDU" (or message content), which should at least be optional.

I don't intend to start a detailed discussion. I'm rather asking for a couple of clarifications by the author. 

Regards, Rüdiger

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis